## org.eclipse.datatools.connectivity.oda.spec.result
Class FilterExpression

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.spec.result.FilterExpression

Direct Known Subclasses:
  AtomicExpression, CompositeExpression

    public abstract class FilterExpression

extends java.lang.Object

The abstract base class for all ODA filter expressions.

An expression may be validated by an `IValidator` implemented by an extension of the org.eclipse.datatools.connectivity.oda.dynamicResultSet extension point.

Since:
  3.3 (DTP 1.8)

Constructor Summary
`FilterExpression()`

Method Summary
`java.lang.String` `getName()` Gets the name of this filter expression type.
`java.lang.String` `getQualifiedId()` Returns the qualified id of this expression type.
`abstract boolean` `isNegatable()` Indicates whether this expression can be negated.
`void` `validate()` Validates this expression.
`void` `validate(ValidationContext context)` Validates this expression in the specified context.
`abstract void` `validateSyntax(ValidationContext context)` Performs syntactic validation of this expression in the specified context.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterExpression

    public FilterExpression()

Method Detail

### getQualifiedId

    public java.lang.String getQualifiedId()

  Returns the qualified id of this expression type.

  Returns:
    qualified id

### getName

    public java.lang.String getName()

  Gets the name of this filter expression type. It may be used to identify this in user messages or logging.

  Returns:
    name of this filter expression

### validate

    public void validate()
                  throws OdaException

  Validates this expression.

  Throws:
    `OdaException` - if validation failed. The concrete cause is defined by the subclass implementing this method.

### validate

    public void validate(ValidationContext context)
                  throws OdaException

  Validates this expression in the specified context.

  Parameters:
    `context` - context for validation; may be null which would limit the scope of validation
  Throws:
    `OdaException` - if validation failed. The concrete cause is defined by the subclass implementing this method.

### validateSyntax

    public abstract void validateSyntax(ValidationContext context)
                                 throws OdaException

  Performs syntactic validation of this expression in the specified context.

  Parameters:
    `context` - context for validation; may be null which would limit the scope of validation
  Throws:
    `OdaException` - if validation failed. The concrete cause is defined by the subclass implementing this method.

### isNegatable

    public abstract boolean isNegatable()

  Indicates whether this expression can be negated.

  Returns:
    true if expression can be negated; false otherwise